/**********************************************************************/
/*    MEMORY.INC                                                      */
/*                                                                    */
/*    11.10.95  STS   Creation                                        */
/*    13.10.95  STS   Documentation                                   */
/**********************************************************************/

/*--------------------------------------------------------------------*/
/* Variables                                                          */
/*--------------------------------------------------------------------*/
  %DECLARE NMAX FIXED;
  %NMAX = 30000;

  Declare

   1 SMEM CONTROLLED EXTERNAL,
     2 ARRAY(NMAX),
/* fragment mass and nuclear charge */
       3 AFMEM Dec Float(6),   /* Produced in primary target */
       3 ZFMEM Dec Float(6),   /* Produced in primary target */
       3 AF2MEM Dec Float(6),  /* Sec. product after reaction at S2 */
       3 ZF2MEM Dec Float(6),  /* Sec. product after reaction at S2 */
/* ion-charge states before 1st and 2nd stage */
       3 Q1FMEM Dec Float(6),  /* Target to S2 in FRS (no S1 degrader)*/
       3 Q2FMEM Dec Float(6),  /* S2 to S4 in FRS */
       3 Q01FMEM Dec Float(6), /* Target to S1 in FRS */
       3 Q12FMEM Dec Float(6), /* S1 to S2 in FRS */
/* position of fragment edges (front/end of target) at S1 */
       3 X1AMEM Dec Float(6),
       3 X1BMEM Dec Float(6),
       3 SIGX1MEM Dec Float(6),
/* position of fragment edges (front/end of target) at S2 */
       3 X2AMEM Dec Float(6),
       3 X2BMEM Dec Float(6),
       3 SIGX2MEM Dec Float(6),
/* angular width (Gaussian sigma) at S2 */
       3 SIGA1MEM Dec Float(6),
/* energies and their width of fragment edges at S1 */
       3 E1AMEM Dec Float(6),
       3 E1BMEM Dec Float(6),
       3 SIGE1MEM Dec Float(6),
/* energies and their width of fragment edges at S2 */
       3 E2AMEM Dec Float(6),
       3 E2BMEM Dec Float(6),
       3 SIGE2MEM Dec Float(6),
/* position of fragment edges (front/end of target) behind 2st stage */
       3 X4AMEM Dec Float(6),
       3 X4BMEM Dec Float(6),
       3 SIGX4MEM Dec Float(6),
/* angular width (Gaussian sigma) */
       3 SIGA3MEM Dec Float(6),
/* ranges and their width behind 2nd stage
                              at the final experimental area */
       3 R4AMEM Dec Float(6),
       3 R4BMEM Dec Float(6),
       3 SIGR4MEM Dec Float(6),
/* energies and their width of fragment edges behind 2nd stage */
       3 E4AMEM Dec Float(6),
       3 E4BMEM Dec Float(6),
       3 SIGE4MEM Dec Float(6),
/* positions and sigma widths for WIEN filter */
       3 X5AMEM Dec Float(6),
       3 X5BMEM Dec Float(6),
       3 SIGX5MEM Dec Float(6),
/* positions and sigma widths for LISE spectrometer */
       3 X6AMEM Dec Float(6),
       3 X6BMEM Dec Float(6),
       3 SIGX6MEM Dec Float(6),
/* ion-charge state probabilites (1 and 2 e-)
               and reaction cross-section */
       3 QPRO1MEM Dec Float(6),
       3 QPRO2MEM Dec Float(6),
       3 QPRO01MEM Dec Float(6),
       3 QPRO12MEM Dec Float(6),
       3 XSECMEM Dec Float(6),  /* Reaction in primary target */
       3 XSEC2MEM Dec Float(6), /* Reaction in middle degrader */
/* transmission for fission products */
       3 T Dec Float(6),
       3 TRAFMEM DEC FLOAT(6),

/* maximum/minimum neutron/proton number for plot of nuclides */
       (ZFMIN, ZFMAX, NFMIN, NFMAX) Dec Float(6) EXT,
/* number of memorized fragments distributed through the spectrometer */
/* (1=selected fragment and 2=projectile) */
       IMEM Bin Fixed(31) EXT;